Fetch the peak memory usage of the Lua environment

- « LuaSandbox::getMemoryUsage

- LuaSandbox::getProfilerFunctionReport »

- PHP Manual
- LuaSandbox
- Fetch the peak memory usage of the Lua environment

# LuaSandbox::getPeakMemoryUsage

(PECL luasandbox >= 1.0.0)

LuaSandbox::getPeakMemoryUsage — Fetch the peak memory usage of the Lua environment

### Description

public LuaSandbox::getPeakMemoryUsage(): int

Fetches the peak memory usage of the Lua environment.

### Parameters

This function has no parameters.

### Return Values

Returns the peak memory usage in bytes.

### See Also

- LuaSandbox::getMemoryUsage() - Fetch the current memory usage of the Lua environment
- LuaSandbox::getCPUUsage() - Fetch the current CPU time usage of the Lua environment
- LuaSandbox::setMemoryLimit() - Set the memory limit for the Lua environment